
/** Projet 3ETI - CPE Lyon - 2011-2012 */

#include <generateur.hpp>
#include <iostream>

namespace cpe
{
    generateur::generateur(){}

    void generateur::generate_constant(double amplitude,double dt,unsigned int N)
    {
        //genere un signal constant de valeur: amplitude et le stocke dans un vecteur
        std::vector<double> v(N);
        for(unsigned int k=0;k<N;++k)
            v[k]=amplitude;

        //crée le signal
        signal_internal=signal(v,dt);

    }

    void generateur::generate_rectangle(double amplitude,double frequency,double dt,unsigned int N)
    {
        //a faire
        std::cout<<"Attention: generateur::generate_rectangle est a implementer "<<std::endl;

        //valeur arbitraire
        generate_constant(amplitude+frequency,dt,N);
    }

    void generateur::generate_sinus(double amplitude,double frequency,double dt,unsigned int N)
    {
        //a faire
        std::cout<<"Attention: generateur::generate_sinus est a implementer "<<std::endl;

        //valeur arbitraire
        generate_constant(amplitude+frequency,dt,N);
    }

    const signal& generateur::get_signal() const{return signal_internal;}

}
