
/** Projet 3ETI - CPE Lyon - 2011-2012 */

#include <signal.hpp>
#include <iostream>
#include <cstdlib>

namespace cpe
{
    signal::signal():dt_interne(0){}
    signal::signal(const std::vector<double>& data,double dt)
        :data_interne(data),dt_interne(dt)
    {}

    unsigned int signal::size() const
    {
        return data_interne.size();
    }
    const double& signal::operator[](unsigned int k) const
    {
        // protection contre le dépassement mémoire
        if(k>=data_interne.size())
        {
            std::cout<<"Erreur dans signal["<<k<<"], la taille de ce signal n'est que de "<<data_interne.size()<<std::endl;
            exit(1);
        }

	//retourne la valeur demandée
        return data_interne[k];
    }

    const double& signal::dt() const{return dt_interne;}

  double signal::max_signal() const
  {
    //a completer
    std::cout<<"Attention signal::max_signal est a implementer"<<std::endl;
    //valeur arbitraire
    return 1;
  }



}
